Bug 473830 - xine-plugin causes firefox from mozilla.org to crash
xine-plugin causes firefox from mozilla.org to crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xine-plugin (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 18:20 EST by John Griffiths
Modified: 2009-12-18 02:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:03:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback from firefox (8.34 KB, text/plain)
2009-06-14 13:23 EDT, Herbert Carl Meyer
no flags Details

  None (edit)
Description John Griffiths 2008-11-30 18:20:25 EST
Description of problem:
When the xine-plugin is installed as a plugin in the tar ball release from Mozilla.org it causes Firefox to crash on startup.

Version-Release number of selected component (if applicable):
xine-plugin-1.0.1-4.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Install Firefox 3.0.4 using firefox-3.0.4.tar.bz2 from Mozilla.
2. Install plugins including xine-plugin
3. Start firefox
  
Actual results:
firefox crashes.

Expected results:
firefox should run and install the xine-plugin

Additional info:
This worked under Fedora 9 and Fedora 8.

As soon as I remove xine-plugin, firefox runs.

All these plugins work.
libflashplayer.so
libjavaplugin_oji.so
libnullplugin.so
librhythmbox-itms-detection-plugin.so
libtotem-basic-plugin.so
libtotem-cone-plugin.so
libtotem-gmp-plugin.so
libtotem-mully-plugin.so
libtotem-narrowspace-plugin.so
mozplugger.so
nppdf.so
npwrapper.so
Comment 1 Martin Sourada 2008-12-06 07:40:21 EST
Thanks for the report. Looks like this has been fixed in upstream xine-plugin-1.0.2. I'm going to update the package today.
Comment 2 Fedora Update System 2008-12-13 05:41:38 EST
xine-plugin-1.0.2-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/xine-plugin-1.0.2-1.fc8
Comment 3 Fedora Update System 2008-12-13 05:42:58 EST
xine-plugin-1.0.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xine-plugin-1.0.2-1.fc9
Comment 4 Fedora Update System 2008-12-13 05:44:31 EST
xine-plugin-1.0.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xine-plugin-1.0.2-1.fc10
Comment 5 Fedora Update System 2008-12-17 19:33:11 EST
xine-plugin-1.0.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update xine-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11305
Comment 6 Fedora Update System 2008-12-17 19:35:37 EST
xine-plugin-1.0.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update xine-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-11349
Comment 7 Fedora Update System 2008-12-17 19:38:07 EST
xine-plugin-1.0.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xine-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11389
Comment 8 John Griffiths 2008-12-21 14:04:51 EST
No joy. Firefox still crashes with xine-plugin-1.0.2-1.fc10 on Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.5) Gecko/2008120121 Firefox/3.0.5
Comment 9 Martin Sourada 2009-01-02 06:42:43 EST
It's a little bit wierd bug, this one... With Fedora's firefox (firefox-3.0.5-1.fc10.i386) it works perfectly fine, but with the mozilla's one it produces SIGABRT... I am not sure yet, where the bug actually is.
Comment 10 Martin Sourada 2009-01-08 12:08:44 EST
I've hopefully bisected where the issue is happening and it looks like xine-lib (more strictly said, the SIGABRT is happeing in xine-lib code, and if you remove xine-lib-extras-freeworld it's happening at slightly different position) is at fault, but for some reason, I cannot reproduce the bug anymore either with mozilla's or fedora's firefox - the buggy function does not get called anymore for some reason...
Comment 11 Herbert Carl Meyer 2009-06-14 13:22:28 EDT
I am getting this error when starting firefox on a freshly upgraded f11. Before applying yum updates, I was getting a similar firefox crash in swfdec. Traceback is attached.
Comment 12 Herbert Carl Meyer 2009-06-14 13:23:40 EDT
Created attachment 347840 [details]
traceback from firefox
Comment 13 Bug Zapper 2009-11-18 04:05:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 02:03:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.